Loading...
Searching...
No Matches
point.h File Reference
`#include <RDGeneral/export.h>`
`#include <cmath>`
`#include <vector>`
`#include <map>`
`#include <RDGeneral/Invariant.h>`
`#include <Numerics/Vector.h>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDGeom::Point
class | RDGeom::Point3D
class | RDGeom::Point2D
class | RDGeom::PointND

## Namespaces

namespace | RDGeom

## Macros

#define | M_PI 3.14159265358979323846

## Typedefs

typedef std::vector< RDGeom::Point * > | RDGeom::PointPtrVect
typedef PointPtrVect::iterator | RDGeom::PointPtrVect_I
typedef PointPtrVect::const_iterator | RDGeom::PointPtrVect_CI
typedef std::vector< RDGeom::Point3D * > | RDGeom::Point3DPtrVect
typedef std::vector< RDGeom::Point2D * > | RDGeom::Point2DPtrVect
typedef Point3DPtrVect::iterator | RDGeom::Point3DPtrVect_I
typedef Point3DPtrVect::const_iterator | RDGeom::Point3DPtrVect_CI
typedef Point2DPtrVect::iterator | RDGeom::Point2DPtrVect_I
typedef Point2DPtrVect::const_iterator | RDGeom::Point2DPtrVect_CI
typedef std::vector< const RDGeom::Point3D * > | RDGeom::Point3DConstPtrVect
typedef Point3DConstPtrVect::iterator | RDGeom::Point3DConstPtrVect_I
typedef Point3DConstPtrVect::const_iterator | RDGeom::Point3DConstPtrVect_CI
typedef std::vector< Point3D > | RDGeom::POINT3D_VECT
typedef std::vector< Point3D >::iterator | RDGeom::POINT3D_VECT_I
typedef std::vector< Point3D >::const_iterator | RDGeom::POINT3D_VECT_CI
typedef std::map< int, Point2D > | RDGeom::INT_POINT2D_MAP
typedef INT_POINT2D_MAP::iterator | RDGeom::INT_POINT2D_MAP_I
typedef INT_POINT2D_MAP::const_iterator | RDGeom::INT_POINT2D_MAP_CI

## Functions

RDKIT_RDGEOMETRYLIB_EXPORT double | RDGeom::computeDihedralAngle (const Point3D &pt1, const Point3D &pt2, const Point3D &pt3, const Point3D &pt4)
RDKIT_RDGEOMETRYLIB_EXPORT double | RDGeom::computeSignedDihedralAngle (const Point3D &pt1, const Point3D &pt2, const Point3D &pt3, const Point3D &pt4)
RDKIT_RDGEOMETRYLIB_EXPORT std::ostream & | RDGeom::operator<< (std::ostream &target, const RDGeom::Point &pt)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point3D | RDGeom::operator+ (const RDGeom::Point3D &p1, const RDGeom::Point3D &p2)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point3D | RDGeom::operator- (const RDGeom::Point3D &p1, const RDGeom::Point3D &p2)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point3D | RDGeom::operator* (const RDGeom::Point3D &p1, double v)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point3D | RDGeom::operator/ (const RDGeom::Point3D &p1, double v)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point2D | RDGeom::operator+ (const RDGeom::Point2D &p1, const RDGeom::Point2D &p2)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point2D | RDGeom::operator- (const RDGeom::Point2D &p1, const RDGeom::Point2D &p2)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point2D | RDGeom::operator* (const RDGeom::Point2D &p1, double v)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::Point2D | RDGeom::operator/ (const RDGeom::Point2D &p1, double v)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::PointND | RDGeom::operator+ (const RDGeom::PointND &p1, const RDGeom::PointND &p2)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::PointND | RDGeom::operator- (const RDGeom::PointND &p1, const RDGeom::PointND &p2)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::PointND | RDGeom::operator* (const RDGeom::PointND &p1, double v)
RDKIT_RDGEOMETRYLIB_EXPORT RDGeom::PointND | RDGeom::operator/ (const RDGeom::PointND &p1, double v)

## Macro Definition Documentation

## M_PI

#define M_PI 3.14159265358979323846

Definition at line 19 of file point.h.